package org.kne.cloud.network.srv6;

import java.util.List;

import org.kne.cloud.network.MultiProtocolSocketAddress;

/**
 * 节点信息（开放线路 + 设备名称 + 设备描述），由路由协议 JSON API 查询获得。
 */
public class KLALBNodeInformation {
	private List<MultiProtocolSocketAddress> openLines;
	private String deviceName;
	private String deviceDescription;

	public KLALBNodeInformation(List<MultiProtocolSocketAddress> openLines, String deviceName,
			String deviceDescription) {
		super();
		this.openLines = openLines;
		this.deviceName = deviceName;
		this.deviceDescription = deviceDescription;
	}

	public List<MultiProtocolSocketAddress> getOpenLines() {
		return openLines;
	}

	public void setOpenLines(List<MultiProtocolSocketAddress> openLines) {
		this.openLines = openLines;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public String getDeviceDescription() {
		return deviceDescription;
	}

	public void setDeviceDescription(String deviceDescription) {
		this.deviceDescription = deviceDescription;
	}

	@Override
	public String toString() {
		return "KLALBNodeInformation [openLines=" + openLines + ", deviceName=" + deviceName
				+ ", deviceDescription=" + deviceDescription + "]";
	}
}
